SMARTSKINHME
SmartSkin:Hme

English version click here

Présentation

SmartSkin:Hme est un outil permettant de packager les skins en hme (le hme est un fichier auto-installable directement depuis le smartphone)

Son mode de fonctionnement est le suivant:

-Placer l'EXE dans le répertoire Tools du SDK, qui contient Cabwizsp.

-Copier les fichiers nécessaires au skin (jpg, bmp, xml..) dans ce même répertoire

-Lancer le programme smartskinhme.exe

-Choisir le fichier XML concerné. SmartSkin:Hme affiche alors l'auteur, le nom du skin, et liste tous les fichiers images utilisés dans le skin. Si un fichier n'est pas trouvé, il est affiché en erreur comme montré sur le screenshot. Il convient alors de rapatrier le fichier manquant, et de relancer la procédure depuis le début (choix du fichier xml). On ne peut pas lancer le package tant qu'une erreur est trouvée. Si le skin contient des fichiers supplémentaires (.html..), les ajouter avec le bouton "Ajouter". Attention ils doivent également se trouver dans le répertoire d'exécution.

-Modifier éventuellement le nom de l'auteur et le nom du skin

-Sous-répertoire: permet d'installer les fichiers du skin dans un sous-répertoire de "...\home" sur le téléphone. Attention dans ce cas TOUS les fichiers de la liste autres que le XML seront copiés dans le sous-répertoire. Veillez donc à ce que les liens soient corrects dans le XML.Le sous-répertoire est automatiquement créé par l'installation, et supprimé à la désinstallation.

-Choisir un nom pour le fichier HME final

-Cliquer sur "Packager": et voilà un HME prêt à être installé! Vérifier dans le répertoire Tools, et vérifier le bon fonctionnement de ce HME en l'installant sur votre propre téléphone avant de le publier.

-L'option "Supprimer après package" supprime tous les fichiers du skin dans le répertoire de travail (tools), et évite ainsi de polluer ce répertoire. Attention donc à toujours travailler avec des copies des fichiers skins (xml, jpg, etc..)

 ©2003 Colonel Hogan

 colonelhogan@wanadoo.fr


SSHMEENG
SmartSkin:Hme

Version Française cliquez ici

Presentation

SmartSkin:Hme is a tool to build easily hme files (hme files are auto-executables files for skins)

How to use:

If you want to use SmartSkin:Hme in english version, like the screenshot, launch it with a "/E" parameter on the command line (in your shortcut) like this : smartskinhme.exe /E

-Put the smartskinhme.exe file into the Tools directory (SDK), the same that contains Cabwizsp.

-Copy your skin files (jpg, bmp, xml..) in this same directory (COPY files, DON'T MOVE them! they could be destroyed after packaging)

-Launch smartskinhme.exe

-Choose your XML file. SmartSkin:Hme then displays the Author, the skin name, and list all the image files referenced in the XML. When a referenced file is not found in the current directory, then it will be displayed with an "error" item. So you have to get the file and put it in the directory, then re-start from "choosing the xml file" to refresh list. You cannot launch the packaging while an error is active. If your skin contains some other files (.html..), then use the "Add" button. Be careful that those files must be in the current directory too, but there is no error check for them.

-You can modify the author and skin name

-Sub-directory: can be used if you want ton install the skin in a subdirectory of the "...\home" directory on the phone. Be careful that ALL files except the XML will be copied in this subdirectory. So check your XML links. If you use it, the subdirectory will be created by the installation program.

-Choose an name for the HME file. You cannot use specials characters, and no spaces too.

-Click on "Just do it", after a few seconds the HME file is created! Verify in the Tools directory, and test it on your own phone before publishing.

-The "Suppress after" check box enables the program to destroy the skin files after using, and so left the Tools directory clean. So be careful and ALWAYS use copies of your skin files (xml, jpg, ..)

Hope you enjoy it.

I'm not english speaker, so sorry for my translate, feel free to send me any correction.

 ©2003 Colonel Hogan

 colonelhogan@wanadoo.fr